package de.donmanfred;

import java.io.File;
import java.io.IOException;

import android.graphics.Bitmap;
import android.graphics.Bitmap.CompressFormat;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import id.zelory.compressor.Compressor;

@Version(1.00f)
@ShortName("Compressor")
//@Permissions(values={"android.permission.INTERNET", "android.permission.ACCESS_NETWORK_STATE"})
//@Events(values={"onSigned(sign As Object)"})
@DependsOn(values={"Compressor.aar"})
public class Compressorwrapper {
	private BA ba;
	private String eventName;
	private Compressor comp;
	/*
	 * Initialize the HTML-TextView 
	 */   	
	public void Initialize(BA ba, String EventName) {
		this.eventName = EventName.toLowerCase(BA.cul);
		this.ba = ba;
		comp = new Compressor(ba.context);
	}
	public Bitmap compressToBitmap(String path, String filename) throws IOException{
		File imageFile = new File(path,filename);
		return comp.compressToBitmap(imageFile);
	}
//	public void compressToBitmapAsFlowable(String path, String filename){
//		File imageFile = new File(path,filename);
//		return comp.compressToBitmapAsFlowable(imageFile);
//	}
	public String compressToFile(String path, String filename) throws IOException{
		File imageFile = new File(path,filename);
		return comp.compressToFile(imageFile).getAbsolutePath();
	}
	public String compressToFile(String path, String filename, String compressedFileName) throws IOException{
		File imageFile = new File(path,filename);
		return comp.compressToFile(imageFile, compressedFileName).getAbsolutePath();
	}
//	public void test(){
//		File imageFile = new File(path,filename);
//		comp.compressToFileAsFlowable(imageFile):
//	}
//	public void test(){
//		File imageFile = new File(path,filename);
//		comp.compressToFileAsFlowable(imageFile, compressedFileName):
//	}
	public void setCompressFormat(CompressFormat compressFormat){
		comp.setCompressFormat(compressFormat);
	}
	public void setDestinationDirectoryPath(String destinationDirectoryPath){
		comp.setDestinationDirectoryPath(destinationDirectoryPath);
	}
	public void setMaxHeight(int maxHeight){
		comp.setMaxHeight(maxHeight);
	}
	public void setMaxWidth(int maxWidth){
		comp.setMaxWidth(maxWidth);
	}
	public void setQuality(int quality){
		comp.setQuality(quality);
	}
	
	
}
